> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/english/facilitators/sdks/java-sdk/documents-requests/createdocfromtemplate.md).

# createDocFromTemplate

### Overview

Parameters:

* [DocFromTemplate](/english/facilitators/sdks/java-sdk/used-classes/body/docfromtemplate.md)

Return:

* [DocResponse ](/english/facilitators/sdks/java-sdk/used-classes/response/docresponse.md)- success
* Exception - failure

To create this document we need:

* set your api token.
* set your variables.
* set your doc.
* call the method.

### Usage:

Import the relevant components:

```java
import body.doc.DeParaTemplate;
import body.doc.DocFromTemplate;
import docs.DocRequests;
import response.DocResponse;

import services.JsonConverter;
import java.util.ArrayList;
```

Set your [Api Token](/english/master.md):

```java
String apiToken = "YOUR TOKEN";
```

add your variables in a [DeParaTemplate ](/english/facilitators/sdks/java-sdk/used-classes/body/deparatemplate.md)class list:

```java
DeParaTemplate deParaTemplateName = DeParaTemplate.deParaTemplateBuilder()
        .de("{{FULL NAME}}")
        .para("Full Name")
        .build();

DeParaTemplate deParaTemplateNumber= DeParaTemplate.deParaTemplateBuilder()
        .de("{{SOCIAL SECURITY NUMBER}}")
        .para("Social Security Number")
        .build();

DeParaTemplate deParaTemplateAddress = DeParaTemplate.deParaTemplateBuilder()
        .de("{{FULL ADDRESS}}")
        .para("Full address")
        .build();

ArrayList<DeParaTemplate> deParaTemplates = new ArrayList<>();
deParaTemplates.add(deParaTemplateName);
deParaTemplates.add(deParaTemplateCpf);
deParaTemplates.add(deParaTemplateEnd);

```

Set your doc with class with the class [DocFromTemplate](/english/facilitators/sdks/java-sdk/used-classes/body/docfromtemplate.md):

```java
DocFromTemplate docFromTemplate = DocFromTemplate.docFromTemplateBuilder()
                .sandbox(false)
                .brand_primary_color("#000000")
                .lang("en")
                .signer_name("My Signer for template")
                .template_id("75a3a92b-...")
                .data(deParaTemplates)
                .build();

```

Call the method createDocFromTemplate and receive the [DocResponse](/english/facilitators/sdks/java-sdk/used-classes/response/docresponse.md) class or an error message as a response:

```java
try {
    DocResponse docResponse = new DocRequests(apiToken).createDocFromTemplate(docFromTemplate);
    String jsonDocResponse = new JsonConverter().docResponseToJson(docResponse);
    System.out.println(jsonDocResponse);
}
catch(Exception exceptionError) {
    System.out.println(exceptionError.getMessage());
}
```

### Example:

```java
import body.doc.DeParaTemplate;
import body.doc.DocFromTemplate;
import docs.DocRequests;
import response.DocResponse;
import services.JsonConverter;

import java.util.ArrayList;

public class CreateDocFromTemplate {
    public static void main(String[] args) throws Exception {
        String apiToken = "YOUR TOKEN";

        DeParaTemplate deParaTemplateName = DeParaTemplate.deParaTemplateBuilder()
                .de("{{FULL NAME}}")
                .para("Full Name")
                .build();

        DeParaTemplate deParaTemplateNumber= DeParaTemplate.deParaTemplateBuilder()
                .de("{{SOCIAL SECURITY NUMBER}}")
                .para("Social Security Number")
                .build();

        DeParaTemplate deParaTemplateAddress = DeParaTemplate.deParaTemplateBuilder()
                .de("{{FULL ADDRESS}}")
                .para("Full address")
                .build();

        ArrayList<DeParaTemplate> deParaTemplates = new ArrayList<>();
        deParaTemplates.add(deParaTemplateName);
        deParaTemplates.add(deParaTemplateCpf);
        deParaTemplates.add(deParaTemplateEnd);

        DocFromTemplate docFromTemplate = DocFromTemplate.docFromTemplateBuilder()
                .sandbox(false)
                .brand_primary_color("#000000")
                .lang("en")
                .signer_name("My Signer for template")
                .template_id("75a3a92b-36d5-451f-95cd-5af9a927a392")
                .data(deParaTemplates)
                .build();

        try {
            DocResponse docResponse = new DocRequests(apiToken).createDocFromTemplate(docFromTemplate);
            String jsonDocResponse = new JsonConverter().docResponseToJson(docResponse);
            System.out.println(jsonDocResponse);
        }
        catch(Exception exceptionError) {
            System.out.println(exceptionError.getMessage());
        }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zapsign.com.br/english/facilitators/sdks/java-sdk/documents-requests/createdocfromtemplate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
